#!/bin/bash

# Number of CPU-intensive tasks to run
num_tasks=4

# Function to perform CPU-intensive calculations
perform_calculations() {
    while true; do
        result=$(echo "scale=10000; 4*a(1)" | bc -l)
        result=$(echo "scale=10000; sqrt($result^2)" | bc -l)
    done
}

# Run multiple CPU-intensive tasks in parallel
for ((i = 0; i < num_tasks; i++)); do
    perform_calculations &
done

# Wait for all tasks to complete
wait
